KeyStores (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.KeyStores class
Date: 2021-05-10

net.sourceforge.jnlp.security

## Class KeyStores

- java.lang.Object
- - net.sourceforge.jnlp.security.KeyStores

-     public final class KeyStores
      extends java.lang.Object

  The `KeyStores` class allows easily accessing the various KeyStores used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyStores.KeyStoreWithPath`
    `static class` | `KeyStores.Level`
    `static class` | `KeyStores.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.Integer,java.lang.String>` | `keystoresPaths`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStores()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.KeyStore[]` | `getCAKeyStores()` Returns an array of KeyStore that contain trusted CA certificates.
    `static java.security.KeyStore[]` | `getCertKeyStores()` Returns an array of KeyStore that contain certificates that are trusted.
    `static java.security.KeyStore[]` | `getClientKeyStores()` Returns KeyStores containing trusted client certificates
    `static KeyStores.KeyStoreWithPath` | `getKeyStore(KeyStores.Level level, KeyStores.Type type)` Returns a KeyStore corresponding to the appropriate level level (user or system) and type.
    `static InfrastructureFileDescriptor` | `getKeyStoreLocation(KeyStores.Level level, KeyStores.Type type)` Returns the location of a KeyStore corresponding to the given level and type.
    `static java.lang.String` | `getPathToKeystore(int k)`
    `static java.lang.String` | `toDisplayableString(KeyStores.Level level, KeyStores.Type type)` Returns a human readable name for this KeyStore
    `static java.lang.String` | `toTranslatableString(KeyStores.Level level, KeyStores.Type type)` Returns a String that can be used as a translation key to create a user-visible representation of this KeyStore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keystoresPaths

          public static final java.util.Map<java.lang.Integer,java.lang.String> keystoresPaths

  - ### Constructor Detail

    - #### KeyStores

          public KeyStores()

  - ### Method Detail

    - #### getKeyStore

          public static final KeyStores.KeyStoreWithPath getKeyStore(KeyStores.Level level,
                                                                     KeyStores.Type type)

      Returns a KeyStore corresponding to the appropriate level level (user or system) and type.
      Parameters:
        `level` - whether the KeyStore desired is a user-level or system-level KeyStore
        `type` - the type of KeyStore desired
      Returns:
        a KeyStore containing certificates from the appropriate

    - #### getPathToKeystore

          public static java.lang.String getPathToKeystore(int k)

    - #### getCertKeyStores

          public static final java.security.KeyStore[] getCertKeyStores()

      Returns an array of KeyStore that contain certificates that are trusted. The KeyStores contain certificates from different sources.
      Returns:
        an array of KeyStore containing trusted Certificates

    - #### getCAKeyStores

          public static final java.security.KeyStore[] getCAKeyStores()

      Returns an array of KeyStore that contain trusted CA certificates.
      Returns:
        an array of KeyStore containing trusted CA certificates

    - #### getClientKeyStores

          public static java.security.KeyStore[] getClientKeyStores()

      Returns KeyStores containing trusted client certificates
      Returns:
        an array of KeyStore objects that can be used to check client authentication certificates

    - #### getKeyStoreLocation

          public static final InfrastructureFileDescriptor getKeyStoreLocation(KeyStores.Level level,
                                                                               KeyStores.Type type)

      Returns the location of a KeyStore corresponding to the given level and type.
      Parameters:
        `level` - the specified level of the key store to be returned.
        `type` - the specified type of the key store to be returned.
      Returns:
        the location of the key store.

    - #### toTranslatableString

          public static final java.lang.String toTranslatableString(KeyStores.Level level,
                                                                    KeyStores.Type type)

      Returns a String that can be used as a translation key to create a user-visible representation of this KeyStore. Creates a string by concatenating a level and type, converting everything to Title Case and removing the _'s. (USER,CA_CERTS) becomes UserCaCerts.
      Parameters:
        `level` - the level of the key store.
        `type` - the type of the key store.
      Returns:
        the translation key.

    - #### toDisplayableString

          public static java.lang.String toDisplayableString(KeyStores.Level level,
                                                             KeyStores.Type type)

      Returns a human readable name for this KeyStore
      Parameters:
        `level` - the level of the KeyStore
        `type` - the type of KeyStore
      Returns:
        a localized name for this KeyStore

Submit a bug or feature